#!/bin/sh
. /opt/kelvpn/sbin/kelvpn_func.sh
. /opt/kelvpn/etc/KelVPNCheck.conf

CMD=$1
tun="tun0"
if [ "$CMD" = "" ]; then
    log_it_error "No command selected. Availble: init, add"
    exit 2
fi

# Check for tun device
if ! ip link show $tun 2>>/dev/null >>/dev/null; then
    log_it_error "No tun device, can't init routing"
    exit 1
fi 

tun_addr_n_net=`ip addr show $tun | grep 'inet ' | awk '{print $2;}'`
tun_gw=`echo $tun_addr_n_net | sed 's/\.[0-9]*\/[0-9]*/\.1/'`
case $CMD in
    init)
	log_it "Init route tables and assign on networks"
	ip rule add from 10.11.9.0/24 table full
    ;;
    add)
	log_it "Add routes"
	ip route add default via $tun_gw dev tun0 table full
    ;;
    del)
	log_it "Delete routes"
	ip route del default via $tun_gw dev tun0 table full
    ;;
    deinit)
	log_it "Deinit route tables"
	ip rule del from 10.11.9.0/24 table full
    ;;
esac

